
pluginName = Generic Adapter UI
providerName = Eclipse.org

STR_SETSTART_ACTION = Start from record
_UI_CreateChild_text = {0}
_UI_CreateChild_text2 = {1} {0}
_UI_CreateChild_tooltip = Create New {0} Under {1} Feature
_UI_CreateChild_description = Create a new child of type {0} for the {1} feature of the selected {2}.
_UI_CreateSibling_description = Create a new sibling of type {0} for the selected {2}, under the {1} feature of their parent.

_UI_PropertyDescriptor_description = The {0} of the {1}

_UI_ContextInstanceType_type = Context Instance
_UI_ConfigurationType_type = Configuration
_UI_Configuration_type = Configuration
_UI_ExtractorType_type = Extractor
_UI_Extractor_type = Extractor
_UI_Component_type = Component
_UI_ContextType_type = Context
_UI_ContextsType_type = Contexts
_UI_Context_type = Context
_UI_Contexts_type = Contexts
_UI_SingleFileOutputterType_type = Single File Outputter
_UI_StandardOutOutputterType_type = Standard Out Outputter
_UI_LoggingAgentOutputterType_type = Logging Agent Outputter
_UI_OutputterConfigType_type = Outputter
_UI_SingleFileSensorType_type = Single File Sensor
_UI_AdapterCBESensorType_type = Adapter CBE Sensor
_UI_SensorConfigType_type = Sensor
_UI_Adapter_type = Adapter
_UI_SubstitutionRuleType_type = Substitution Rule
_UI_RuleAttributeType_type = Rule Attribute
_UI_RuleElementType_type = Rule Element
_UI_ParserConfigType_type = Parser
_UI_RuleAttribute_type = Rule Attribute
_UI_RuleElement_type = Rule Element
_UI_FormatterType_type = Formatter
_UI_Formatter_type = Formatter
_UI_ProcessUnitType_type = Process Unit
_UI_ProcessUnit_type = Process Unit
_UI_Unknown_type = Object

STR_CONTEXTI_CONT = Continuous Operation
STR_CONTEXTI_DESCR = Description
STR_CONTEXTI_TIME = Maximum Idle Time
STR_CONTEXTI_PAUSEI = Pause Interval
STR_CONTEXTI_ID = Unique ID
STR_DEFAULT_VALUE = Default Value
_UI_ContextInstanceType_sensor_feature = Sensor
_UI_ContextInstanceType_extractor_feature = Extractor
_UI_ContextInstanceType_parser_feature = Parser
_UI_ContextInstanceType_processUnit_feature = Process Unit
_UI_ContextInstanceType_formatter_feature = Formatter
_UI_ContextInstanceType_outputter_feature = Outputter
SINCE_1_3 = Since Hyades 1.3
MIGRATION_LOAD_ERROR = Error during migration of the loaded resource.
MIGRATION_LOAD_ERROR = Error during migration of the saved resource.

STR_CONFIG_DESCR = Description
STR_CONFIG_ID = Unique ID
_UI_ConfigurationType_contextInstance_feature = Context Instance
STR_EXTR_HAS_LINEB = Contains Line Breaks
REPLACE_LINE_BREAK = Replace Line Breaks
STR_EXTR_DESCR = Description
STR_EXTR_END_PATTERN = End Pattern
STR_EXTR_INC_ENDP = Include End Pattern
STR_EXTR_INC_STARTP = Include Start Pattern
STR_EXTR_LINE_BSYMB = Line Break Symbol
STR_EXTR_STARTP = Start Pattern
STR_EXTR_ID = Unique ID
STR_COMP_DESCR = Description
STR_COMP_EXECC = Executable Class
STR_COMP_IMPLCD = Implementation Creation Date
STR_COMP_IMPLV = Implementation Version
STR_COMP_IMPLVD = Implementation Version Description
STR_COMP_LOGL = Logging Level
STR_COMP_NAME = Name
STR_COMP_ROLE = Role
STR_COMP_ROLECD = Role Creation Date
STR_COMP_ROLEV = Role Version
STR_COMP_ROLEVD = Role Version Description
STR_COMP_ID = Unique ID
_UI_Component_component_feature = Component
STR_CONTEXTT_DESCR = Description
STR_CONTEXTT_EXECC = Executable Class
STR_CONTEXTT_IMPLCD = Implementation Creation Date
STR_CONTEXTT_IMPLV = Implementation Version
STR_CONTEXTT_IMPLVD = Implementation Version Description
STR_CONTEXTT_LOGL = Logging Level
STR_CONTEXTT_NAME = Name
STR_CONTEXTT_ROLE = Role
STR_CONTEXTT_ROLECD = Role Creation Date
STR_CONTEXTT_ROLEV = Role Version
STR_CONTEXTT_ROLEVD = Role Version Description
STR_CONTEXTT_ID = Unique ID
_UI_ContextType_component_feature = Component
_UI_ContextsType_context_feature = Context
STR_SFILEOUT_DIR = Directory
STR_SFILEOUT_FILE = File Name
STR_LOG_AGENT_ANAME = Agent Name
STR_LOG_AGENT_WAIT = Wait Until Logging Time
STR_OUT_DESCR = Description
_UI_OutputterConfigType_type_feature = Type
STR_OUT_ID = Unique ID
_UI_OutputterConfigType_singleFileOutputterType_feature = Single File Outputter Type
_UI_OutputterConfigType_standardOutOutputterType_feature = Standard Out Outputter Type
_UI_OutputterConfigType_loggingAgentOutputterType_feature = Logging Agent Outputter Type
STR_SINGLE_FILES_DIR = Directory
STR_SINGLE_FILES_FILE = File Name
_UI_SingleFileSensorType_path2Converter_feature = Converter
STR_SENSOR_DESCR = Description
STR_SENSOR_MAXB = Maximum Blocking
_UI_SensorConfigType_type_feature = Type
STR_SENSOR_ID = Unique ID
_UI_SensorConfigType_singleFileSensorType_feature = Single File Sensor Type
_UI_SensorConfigType_adapterCBESensorType_feature = Adapter CBE Sensor Type
_UI_Adapter_contexts_feature = Contexts
_UI_Adapter_configuration_feature = Configuration
STR_SUBST_MATCH = Match
STR_SUBST_POS = Positions
STR_SUBST_SUBST = Substitute
STR_ATTR_ID = Id
STR_ATTR_NAME = Name
_UI_RuleAttributeType_value_feature = Value
_UI_RuleAttributeType_substitutionRule_feature = Substitution Rule
STR_ELEM_ID = Id
STR_ELEM_NAME = Name
_UI_RuleElementType_reference_feature = Reference
_UI_RuleElementType_ruleElement_feature = Rule Element
_UI_RuleElementType_ruleAttribute_feature = Rule Attribute
_UI_ParserConfigType_ruleElement_feature = Rule Element
STR_FMT_DESCR = Description
_UI_FormatterType_dummyAttr1_feature = Dummy Attr1
_UI_FormatterType_dummyAttr2_feature = Dummy Attr2
STR_FMT_ID = Unique ID
STR_PU_DESCR = Description
STR_PU_ID = Unique ID
_UI_Unknown_feature = Unspecified

_UI_UnitEditor_menu = &Unit Editor

_UI_AdapterEditorFilenameExtension = adapter

_UI_ExtractorEditor_label = Extractor Model Editor

_UI_ConfigurationEditor_menu = &Configuration Editor
_UI_FileConflict_label = File Conflict
_UI_ParentPage_label = Parent
_WARN_FilenameExtension = The filename must end in ".{0}"

_UI_CreateSibling_menu_item = N&ew Sibling

_UI_ConfigurationEditorFilenameExtension = configuration

_UI_Wizard_category = Example EMF Model Creation Wizards

_UI_SelectionPage_label = Selection
_UI_UnitEditor_label = Unit Model Editor

_UI_TableTreePage_label = TableTree
_UI_NoObjectSelected = Selected Nothing
_UI_ParserEditor_label = Parser Model Editor

_UI_MultiObjectSelected = Selected {0} Objects

_UI_SelfColumn_label = Self

_UI_OpenEditorError_label = Open Editor

_UI_SingleObjectSelected = Selected Object: {0}
_UI_XMLEncodingChoices = ASCII UTF-8 UTF-16 UTF-16BE UTF-16LE ISO-8859-1
_WARN_FileConflict = There are unsaved changes that conflict with changes made outside the editor.  Do you wish to discard this editor's changes?

_UI_AdaptorModelWizard_description = Create a new Generic Log Adapter file

_UI_AdaptorModelWizard_label = Generic Log Adapter File
_UI_AdaptorEditor_label = Adapter Model Editor

_UI_AdaptorEditor_menu = &Adapter Editor
_UI_XMLEncoding = XML Encoding

_UI_ConfigurationModelWizard_description = Create a new Configuration model

_UI_CreateChild_menu_item = &New Child
_UI_Wizard_label = New Generic Log Adapter File

_UI_ListPage_label = List
_UI_AdaptorEditorFilenameDefaultBase = adapter

_UI_TreePage_label = Tree

_UI_ContextModelWizard_label = Context Model

_UI_TablePage_label = Table
_UI_ObjectColumn_label = Object
_UI_ModelObject = Model Object

_UI_ParserConfigType_separator_feature = Separator
STR_ELEM_INDEX = Index
STR_PARSER_DESCR = Description
STR_PARSER_ID = Unique ID
STR_ATTR_INDEX = Index

STR_PARSER_DESTOKEN = Designation Token
STR_PARSER_SEPTOKEN = Separator Token

_WARN_FILE_EXT = The filename must end in ".{0}"
STR_MWIZ_TITLE = New Adapter instance
LOG_NAME_LABEL = &Select a template log file. This file will be used to define parser rules.
BROWSE = B&rowse...
BROWSE2 = &Browse...
_WARN_FILE_NOT_EXIST = File {0} does not exist.
_UI_StaticParserSensorType_type = Static Parser Sensor
_UI_StaticParserSensorType_directory_feature = Directory
_UI_StaticParserSensorType_fileName_feature = File Name
_UI_StaticParserSensorType_parserClassName_feature = Parser Class Name
_UI_SensorConfigType_staticParserSensorType_feature = Static Parser Sensor
STR_USE_PREV_ATTR = Use Previous Match Substitution As Default
_UI_SensorBaseType_sensorProperty_feature = Sensor Property
_UI_SensorConfigType_singleFileSensor_feature = Single File Sensor
_UI_SensorConfigType_adapterCBESensor_feature = Adapter CBE Sensor
_UI_SensorConfigType_staticParserSensor_feature = Static Parser Sensor
STR_SINGLEFS_CONVERTER = Converter
STR_SINGLEFS_SHELL = Shell
STR_STATICPS_DIR = Directory
STR_STATICPS_FILE = File Name
STR_STATICPS_PARSER = Parser Class Name
_UI_SensorPropertyType_type = Sensor Property
_UI_SensorBaseType_type = Base Type
STR_PNAME = Property Name
STR_PVALUE = Property Value
_UI_SensorBaseType_sensorProperty_feature = Sensor Property

PERSP_TITLE = Generic Log Adapter
NEW_WIZ_CATEG = Generic Log Adapter
TEMPLATE_LOG = Template Log
RESULT_VIEW = Outputter Result
LOG_CONTENT = Log Content
NAVIGATOR_TAB_TITLE = Generic Log Adapter navigator

_SUBST_USE_BUILT_FCT = Use Built In Function
STR_SEL_DLG_TITLE = Select Template Log File
STR_SELC_DLG_TITLE = Select component
STR_SCHEMA_ERROR = Could not find Common Base Event schema
STR_AD_MSG_TITLE = Generic Log Adapter
STR_NO_SENSOR = [No file sensor]
STR_NO_EXTRACTOR = [No Extractor]
STR_RESULT_TITLE = (View shows result for event {0})
STR_CONTENT_TITLE = (View shows log content from {0} to {1})
STR_LOG_TITLE = (View shows event {0} of {1} known events)
STR_SHOW_LOG_ACTION = Show Log
STR_SHOW_NEXTE_ACTION = Show Next Event
STR_SHOW_PREVE_ACTION = Show Previous Event
STR_SHOW_FIRSTE_ACTION = Show First Event
STR_SHOW_LASTE_ACTION = Show Last Event
STR_RERUN_ACTION = Rerun adapter
ADD_HASH_ACTION = Add Hashing
STR_REC_NUMBER = Record number:
STR_SETSTART_DESC= Specify the record number from where the adapter will start.This preference will take effect on the next adapter run.
GUESS_RULE_ACTION = Guess Rule
_UI_SingleFileOutputterTypeType_fileName_feature = File Name
_UI_Component_implementationVersion_feature = Implementation Version
_UI_DocumentRoot_xSISchemaLocation_feature = XSI Schema Location
_UI_RuleElementType_name_feature = Name
_UI_DocumentRoot_loggingAgentOutputterType_feature = Logging Agent Outputter Type
_UI_SingleFileSensorType_fileName_feature = File Name
_UI_SensorConfigType_maximumBlocking_feature = Maximum Blocking
_UI_DocumentRoot_notificationOutputterType_feature = Notification Outputter Type
_UI_Component_name_feature = Name
_UI_ExtractorType_includeStartPattern_feature = Include Start Pattern
_UI_LoggingAgentOutputterTypeType_waitUntilLoggingTime_feature = Wait Until Logging Time
_UI_LoggingAgentOutputterTypeType_type = Logging Agent Outputter Type Type
_UI_OutputterConfigType_description_feature = Description
_UI_SingleFileSensorType_converter_feature = Converter
_UI_RuleAttributeType_defaultValue_feature = Default Value
_UI_ContextType_name_feature = Name
_UI_FormatterType_description_feature = Description
_UI_DocumentRoot_processUnit_feature = Process Unit
_UI_ContextType_description_feature = Description
_UI_DocumentRoot_ruleAttribute_feature = Rule Attribute
_UI_DocumentRoot_standardOutOutputterType_feature = Standard Out Outputter Type
_UI_ParserConfigType_separatorToken_feature = Separator Token
_UI_ContextInstanceType_description_feature = Description
_UI_ContextType_implementationVersion_feature = Implementation Version
_UI_RuleAttributeType_name_feature = Name
_UI_Component_implementationVersionDescription_feature = Implementation Version Description
_UI_DocumentRoot_adapter_feature = Adapter
_UI_ExtractorType_replaceLineBreaks_feature = Replace Line Breaks
_UI_ContextType_uniqueID_feature = Unique ID
_UI_ExtractorType_description_feature = Description
_UI_ParserConfigType_designationToken_feature = Designation Token
_UI_Component_roleCreationDate_feature = Role Creation Date
_UI_SensorConfigType_description_feature = Description
_UI_RuleAttributeType_index_feature = Index
_UI_NotificationOutputterTypeType_resourceURL_feature = Resource URL
_UI_FormatterType_uniqueID_feature = Unique ID
_UI_DocumentRoot_extractor_feature = Extractor
_UI_ConfigurationType_description_feature = Description
_UI_SubstitutionRuleType_positions_feature = Positions
_UI_SubstitutionRuleType_substitute_feature = Substitute
_UI_ContextType_implementationVersionDescription_feature = Implementation Version Description
_UI_PropertyType_propertyValue_feature = Property Value
_UI_DocumentRoot_context_feature = Context
_UI_OutputterConfigType_genericOutputterType_feature = Generic Outputter Type
_UI_ParserConfigType_uniqueID_feature = Unique ID
_UI_Component_loggingLevel_feature = Logging Level
_UI_SingleFileSensorType_directory_feature = Directory
_UI_LoggingAgentOutputterTypeType_agentName_feature = Agent Name
_UI_Component_implementationCreationDate_feature = Implementation Creation Date
_UI_Component_description_feature = Description
_UI_DocumentRoot_xMLNSPrefixMap_feature = XMLNS Prefix Map
_UI_DocumentRoot_mixed_feature = Mixed
_UI_ProcessUnitType_description_feature = Description
_UI_AdapterType_contexts_feature = Contexts
_UI_RuleAttributeType_id_feature = Id
_UI_OutputterBaseType_outputterProperty_feature = Outputter Property
_UI_DocumentRoot_contexts_feature = Contexts
_UI_StandardOutOutputterTypeType_type = Standard Out Outputter Type Type
_UI_SubstitutionRuleType_timeFormat_feature = Time Format
_UI_DocumentRoot_singleFileOutputterType_feature = Single File Outputter Type
_UI_DocumentRoot_configuration_feature = Configuration
_UI_Component_roleVersion_feature = Role Version
_UI_ContextType_loggingLevel_feature = Logging Level
_UI_SubstitutionRuleType_substitutionExtensionClass_feature = Substitution Extension Class
_UI_ContextInstanceType_uniqueID_feature = Unique ID
_UI_OutputterConfigType_notificationOutputterType_feature = Notification Outputter Type
_UI_DocumentRoot_formatter_feature = Formatter
_UI_ContextType_executableClass_feature = Executable Class
_UI_ContextType_role_feature = Role
_UI_NotificationOutputterTypeType_type = Notification Outputter Type Type
_UI_SensorConfigType_uniqueID_feature = Unique ID
_UI_AdapterType_type = Adapter
_UI_ExtractorType_endPattern_feature = End Pattern
_UI_SubstitutionRuleType_useBuiltInFunction_feature = Use Built In Function
_UI_ContextType_roleVersionDescription_feature = Role Version Description
_UI_Component_role_feature = Role
_UI_AdapterType_configuration_feature = Configuration
_UI_PropertyType_type = Property
_UI_SingleFileOutputterTypeType_directory_feature = Directory
_UI_SubstitutionRuleType_match_feature = Match
_UI_RuleElementType_index_feature = Index
_UI_DocumentRoot_ruleElement_feature = Rule Element
_UI_ContextInstanceType_pauseInterval_feature = Pause Interval
_UI_ExtractorType_includeEndPattern_feature = Include End Pattern
_UI_PropertyType_propertyName_feature = Property Name
_UI_ContextType_roleCreationDate_feature = Role Creation Date
_UI_ContextInstanceType_continuousOperation_feature = Continuous Operation
_UI_ContextType_roleVersion_feature = Role Version
_UI_SingleFileSensorType_shell_feature = Shell
_UI_SingleFileOutputterTypeType_type = Single File Outputter Type Type
_UI_DocumentRoot_type = Document Root
_UI_ExtractorType_lineBreakSymbol_feature = Line Break Symbol
_UI_ExtractorType_uniqueID_feature = Unique ID
_UI_RuleAttributeType_usePreviousMatchSubstitutionAsDefault_feature = Use Previous Match Substitution As Default
_UI_OutputterBaseType_type = Base Type
_UI_ConfigurationType_uniqueID_feature = Unique ID
_UI_RuleElementType_id_feature = Id
_UI_OutputterConfigType_uniqueID_feature = Unique ID
_UI_ProcessUnitType_uniqueID_feature = Unique ID
_UI_SensorConfigType_genericSensor_feature = Generic Sensor
_UI_ExtractorType_containsLineBreaks_feature = Contains Line Breaks
_UI_ContextInstanceType_maximumIdleTime_feature = Maximum Idle Time
_UI_Component_executableClass_feature = Executable Class
_UI_ExtractorType_startPattern_feature = Start Pattern
_UI_Component_roleVersionDescription_feature = Role Version Description
_UI_ParserConfigType_description_feature = Description
_UI_ContextType_implementationCreationDate_feature = Implementation Creation Date
_UI_Component_uniqueID_feature = Unique ID
_UI_ContextEditorFilenameExtension = context

_UI_ExtractorEditorFilenameDefaultBase = My
_UI_UnitEditorFilenameExtension = unit

_UI_Wizard_initial_object_description = Select a model object to create

_UI_OutputterEditorFilenameExtension = outputter

_UI_SensorEditor_menu = &Sensor Editor
_UI_FormatterEditorFilenameExtension = formatter

_UI_ParserEditorFilenameExtension = parser

_UI_ParserModelWizard_label = Parser Model
_UI_AdapterEditor_menu = &Adapter Editor
_UI_OutputterModelWizard_description = Create a new Outputter model

_UI_ContextEditor_label = Context Model Editor

_UI_ContextEditorFilenameDefaultBase = My
_UI_ParserEditorFilenameDefaultBase = My
_UI_SensorEditor_label = Sensor Model Editor

_UI_AdapterModelWizard_label = Adapter Model
_UI_ConfigurationEditor_label = Configuration Model Editor

_UI_ContextEditor_menu = &Context Editor
_UI_AdapterModelWizard_description = Create a new Adapter model

_UI_FormatterModelWizard_description = Create a new Formatter model

_UI_OutputterEditor_menu = &Outputter Editor

_UI_AdapterEditor_label = Adapter Model Editor

_UI_ParserModelWizard_description = Create a new Parser model

_UI_ExtractorEditor_menu = &Extractor Editor
_UI_SensorEditorFilenameDefaultBase = My
_UI_FormatterModelWizard_label = Formatter Model
_UI_UnitModelWizard_description = Create a new Unit model

_UI_AdapterEditorFilenameDefaultBase = My
_UI_ExtractorEditorFilenameExtension = extractor

_UI_ConfigurationModelWizard_label = Configuration Model
_UI_SensorModelWizard_description = Create a new Sensor model

_UI_OutputterEditorFilenameDefaultBase = My
_UI_ConfigurationEditorFilenameDefaultBase = My
_UI_OutputterModelWizard_label = Outputter Model
_UI_FormatterEditorFilenameDefaultBase = My
_UI_FormatterEditor_menu = &Formatter Editor
_UI_SensorEditorFilenameExtension = sensor

_UI_ExtractorModelWizard_label = Extractor Model
_UI_ContextModelWizard_description = Create a new Context model

_UI_OutputterEditor_label = Outputter Model Editor

_UI_UnitModelWizard_label = Unit Model
_UI_FormatterEditor_label = Formatter Model Editor

_UI_SensorModelWizard_label = Sensor Model
_UI_UnitEditorFilenameDefaultBase = My
_UI_ExtractorModelWizard_description = Create a new Extractor model

_UI_ParserEditor_menu = &Parser Editor
_UI_SingleFileOutputterTypeType_fileName_feature = File Name
_UI_ProcessUnitType_property_feature = Property


STR_SubstitutionExtensionClass = Substitution Extension Class
STR_TimeFormat = Time Format
STR_Outputter_Type = Outputer Type
STR_Sensor_Type = Sensor Type

_UI_SensorPropertyType_propertyValue_feature = Property Value
_UI_SensorPropertyType_propertyName_feature = Property Name
